Skip to main content

Incorrect Default Permissions

CVE-2012-5578

Severity Medium
Score 6.2/10

Summary

Python keyring before version 1.0 has insecure permissions on new databases allowing world-readable files to be created

  • LOW
  • LOCAL
  • NONE
  • UNCHANGED
  • NONE
  • NONE
  • HIGH
  • NONE

CWE-276 - Incorrect Default Permissions

During installation, installed file permissions are set to allow anyone to modify those files.

Advisory Timeline

  • Published